#ifndef SyntheseVocale_H
#define SyntheseVocale_H

#include <iostream>
#include <string>
#include <cstring>

using namespace std;

class SyntheseVocale
{
   public:
      // Constructeurs et Destructeur
      SyntheseVocale();
      SyntheseVocale(int speed, int volume, int pitch, int range);
      ~SyntheseVocale();

      // Accesseurs
      string  getVoice() const;
      int  getSpeed() const;
      int  getVolume() const;
      int  getPitch() const;
      int  getRange() const;
      int  getPunctuation() const;
      int  getGender() const;
      void setVoice(string voice);
      void setSpeed(int speed);
      void setVolume(int volume);
      void setPitch(int pitch);
      void setRange(int range);
      void setGender(int gender);
      void setPunctuation(int punctuation);      

      // Services
      void parle(const string texte);
      void muet();
      void liste() const;
      void version();      

   private:
      string texte;
      string voice;
      int speed; // espeakRATE
      int volume; // espeakVOLUME
      int pitch; // espakPITCH
      int range; // espeakRANGE
      int punctuation; // espeakPUNCTUATION
      int gender;
      const char *eSpeakVersionInfo;
      int samplerate;
      
      void reglages();      
};

#endif // SyntheseVocale_H

